.btn {
  &,
  &:link,
  &:visited {
    text-transform: uppercase;
    text-decoration: none;
    padding: 1.5rem 4rem;
    display: inline-block;
    transition: all .5s ease-in-out;
    border-radius: 10rem;
    animation: moveInUp 1s;
    position: relative;
    animation-fill-mode: backwards;
    font-size: 1.6rem;
    border: none;
    cursor: pointer;

  }

  &:active, &:focus  {
    transform: translateY(-0.1rem);
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.2);
  }

  &:hover{
    transform: translateY(-3px);
    box-shadow: 0 1rem 2rem rgba(#000, 0.2);

    &::after {
      transform: scaleX(1.6) scaleY(1.2);
      opacity: 0;
    }
  }

  &-white {
    background-color: #fff;
    color: #777;
  }
  &-green {
    background-color: $primary-color;
    color: $color-white;
  }

  .btn-white::after {
    background-color: #fff;
  }


}